> ## Documentation Index
> Fetch the complete documentation index at: https://getalchemystai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all ongoing context add jobs for the authenticated user

> Returns all jobs (active, waiting, delayed, failed, completed) belonging to the authenticated user.




## OpenAPI

````yaml GET /api/v1/context/add-async/status
openapi: 3.1.0
info:
  title: Alchemyst AI API v1 documentation
  version: 1.0.0
  description: v1 API documentation for Alchemyst AI
servers:
  - url: https://platform-backend.getalchemystai.com
    description: production
security:
  - bearerAuth: []
tags: []
paths:
  /api/v1/context/add-async/status:
    get:
      tags:
        - context
      summary: List all ongoing context add jobs for the authenticated user
      description: >
        Returns all jobs (active, waiting, delayed, failed, completed) belonging
        to the authenticated user.
      operationId: checkStatusForAllAddAsyncJobs
      parameters:
        - in: query
          name: type
          schema:
            type: string
            enum:
              - all
              - active
              - failed
              - completed
            default: all
          description: Type of jobs to list
          required: false
        - in: query
          name: limit
          schema:
            type: string
            default: '100'
          description: Maximum number of jobs to return
          required: false
        - in: query
          name: offset
          schema:
            type: string
            default: '0'
          description: Number of jobs to skip before starting to collect the result set
          required: false
      responses:
        '200':
          description: List of jobs
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - jobs
                properties:
                  success:
                    type: boolean
                    example: true
                  jobs:
                    type: array
                    items:
                      type: object
                      required:
                        - jobId
                        - status
                        - attemptsMade
                        - data
                      properties:
                        jobId:
                          type: string
                          example: '12345'
                        status:
                          type: string
                          example: active
                        attemptsMade:
                          type: number
                          example: 1
                        failedReason:
                          type: string
                          example: Some error
                        finishedOn:
                          type: number
                          example: 1712345678901
                        processedOn:
                          type: number
                          example: 1712345678900
                        data:
                          type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                    example: false
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                    example: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                    example: false
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - error
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal server error
                  error:
                    type: string
                    example: Error details
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````